Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

From: Tom Rosmond (rosmond_at_[hidden])
Date: 2006-05-24 19:43:18


After using OPENMPI Ver 1.0.1 for several months without trouble, last week
I decided to upgrade to Ver 1.0.2. My primary motivation was curiosity,
to see if
there was any performance benefit. To my surprise, several of my F90
applications
refused to run with the newer version. I also tried Ver 1.0.3a1r10036
with the same
result. In all 3 cases I configured the build identically. Even that
old chestnut 'hello.f'
will not run with the newer versions. I ran it in the totalview
debugger and can see
that it is hanging in the MPI initialization code before it gets to the
F90 application.
 I am using the Ver 6.1 PGF90 64bit compiler on a Linux Opteron
workstation with 2
dual core 2.4 GHZ processors. If you think it it is worthwhile to
pursue this problem
further, what could I send you to help troubleshoot the problem?
Meanwhile I have
gone back to 1.0.1, which works fine on everything.

Tom